
namespace GWoffice.Widgets
{
	
	/*little utility class to allow faster creation of GtkLabels*/
	
	class LLabel : Gtk.Label
	{
		
		public LLabel (string _label)
		{
			halign = Gtk.Align.START;
			label = _label;
		}
		
		public LLabel.indent (string _label)
		{
			label = _label;
			margin_left = 12;
		}
		
		public LLabel.markup (string _label)
		{
			label = _label;
			use_markup = true;
			halign = Gtk.Align.START;
		}
		
		public LLabel.right (string _label)
		{
			halign = Gtk.Align.END;
			label = _label;
		}
		
		public LLabel.right_with_markup (string _label)
		{
			set_halign (Gtk.Align.END);
			use_markup = true;
			label = _label;
		}
		
		public LLabel.wrap (string _label)
		{
			label = _label;
			wrap_mode = Pango.WrapMode.WORD_CHAR;
			base.wrap = true;
			max_width_chars = 20;
			width_chars = 20;
		}
	}
}

