
namespace GWoffice.Services
{
	
	public class Settings : Granite.Services.Settings
	{
		
		public int window_width { get; set; }
		public int window_height { get; set; }
		
		public int ubuntu_style { get; set; }
		public bool style { get; set; }
		public bool always_show_compact_view { get; set; }
		
		public bool open_uploaded { get; set; }
		public bool download_docs { get; set; }
		public bool resync_on_startup { get; set; }
		
		public bool show_only_mine { get; set; }
		
		public string text_format { get; set; }
		public string presentation_format { get; set; }
		public string spreadsheet_format { get; set; }
		
		static Settings? instance;
		
		Settings ()
		{
			base ("org.gnome.gwoffice");
		}
		
		public static Settings get_default ()
		{
			if (instance == null)
				instance = new Settings ();
			
			return instance;
		}
		
	}
	
}

